## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# SolarisDefinitions.hpp File Reference

Include dependency graph for SolarisDefinitions.hpp:

Go to the source code of this file.

## Defines

- #define SOLARISDEFINITIONS_HEADER_GUARD_1357924680
- #define XALAN_PLATFORM_EXPORT
- #define XALAN_PLATFORM_IMPORT
- #define XALAN_PLATFORM_EXPORT_FUNCTION(T) T XALAN_PLATFORM_EXPORT
- #define XALAN_PLATFORM_IMPORT_FUNCTION(T) T XALAN_PLATFORM_IMPORT
- #define XALAN_OLD_STYLE_CASTS
- #define XALAN_NO_STD_NAMESPACE
- #define XALAN_STLPORT_STL
- #define XALAN_NO_DEFAULT_BUILTIN_ARRAY_INITIALIZATION
- #define XALAN_CLASSIC_IOSTREAMS
- #define XALAN_NO_MUTABLE
- #define XALAN_SGI_BASED_STL
- #define XALAN_NO_MEMBER_TEMPLATES
- #define XALAN_BOOL_AS_INT
- #define XALAN_NO_DEFAULT_TEMPLATE_ARGUMENTS
- #define XALAN_NO_COVARIANT_RETURN_TYPE
- #define XALAN_NO_USING_DECLARATION
- #define __STL_NO_SGI_IOSTREAMS
- #define _REENTRANT
- #define XALAN_NO_STD_ALLOCATORS
- #define XALAN_RW_NO_CLASS_PARTIAL_SPEC
- #define XALAN_XALANDOMCHAR_USHORT_MISMATCH
- #define XALAN_POSIX2_AVAILABLE

## Define Documentation

#define SOLARISDEFINITIONS_HEADER_GUARD_1357924680

Value:

#define XALAN_BOOL_AS_INT

Value:

#define XALAN_CLASSIC_IOSTREAMS

Value:

#define XALAN_NO_COVARIANT_RETURN_TYPE

Value:

#define XALAN_NO_DEFAULT_BUILTIN_ARRAY_INITIALIZATION

Value:

#define XALAN_NO_DEFAULT_TEMPLATE_ARGUMENTS

Value:

#define XALAN_NO_MEMBER_TEMPLATES

Value:

#define XALAN_NO_MUTABLE

Value:

#define XALAN_NO_STD_ALLOCATORS

Value:

#define XALAN_NO_STD_NAMESPACE

Value:

#define XALAN_NO_USING_DECLARATION

Value:

#define XALAN_OLD_STYLE_CASTS

Value:

#define XALAN_PLATFORM_EXPORT

Value:

#define XALAN_PLATFORM_EXPORT_FUNCTION( | T ) T XALAN_PLATFORM_EXPORT

#define XALAN_PLATFORM_IMPORT

Value:

#define XALAN_PLATFORM_IMPORT_FUNCTION( | T ) T XALAN_PLATFORM_IMPORT

#define XALAN_POSIX2_AVAILABLE

Value:

#define XALAN_RW_NO_CLASS_PARTIAL_SPEC

Value:

#define XALAN_SGI_BASED_STL

Value:

#define XALAN_STLPORT_STL

Value:

#define XALAN_XALANDOMCHAR_USHORT_MISMATCH

Value:

#define _REENTRANT

Value:

#define __STL_NO_SGI_IOSTREAMS

Value:

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.